Skip to content
GET /search-commercial-rent

Search commercial properties for rent

Description

Search commercial properties available for rent in UAE. Filter by location, property type, price range, and area. Returns parsed, structured data.

Parameters

Name Type Required Description Example
location_id string Required - Location ID from `/autocomplete-location` endpoint - Example: `50` (Dubai Marina), `86` (Business Bay) - Get IDs by searching location names first 50
property_type string Optional - Type of commercial property to search - Common: `office-space`, `retail`, `warehouse` - All options: `office-space`, `retail`, `warehouse`, `shop`, `villa`, `show-room`, `full-floor`, `half-floor`, `whole-building`, `land`, `bulk-rent-unit`, `factory`, `labor-camp`, `staff-accommodation`, `business-centre`, `co-working-space`, `farm` villa
price_min string Optional - Minimum annual rent price in AED - Examples: `50000`, `100000`, `500000` 50000
price_max string Optional - Maximum annual rent price in AED - Examples: `100000`, `500000`, `1000000` 500000
rent_frequency string Optional - Rent payment frequency - Options: `yearly`, `monthly` - Default: `monthly` monthly
area_min string Optional - Minimum property area in sqft - Examples: `1000`, `2000`, `5000` 1000
area_max string Optional - Maximum property area in sqft - Examples: `5000`, `10000`, `20000` 10000
sort string Optional - Sort order for results - Options: `newest`, `featured`, `price_asc`, `price_desc` - Default: `newest` newest
page string Optional - Page number for pagination - Default: `1` - Examples: `1`, `2`, `3` 1

Code Examples

curl --request GET \
  --url 'https://propertyfinder-uae-data.p.rapidapi.com/search-commercial-rent?location_id=50' \
  --header 'x-rapidapi-host: propertyfinder-uae-data.p.rapidapi.com' \
  --header 'x-rapidapi-key: YOUR_API_KEY'

Example Response

Response
{
  "success": true,
  "data": [
    {
      "property_id": "16266089",
      "property_type": "Apartment",
      "price": {
        "value": 20000,
        "currency": "AED",
        "period": "monthly",
        "is_hidden": false
      },
      "address": {
        "full_name": "Marina Tower, Dubai Marina, Dubai",
        "coordinates": {
          "lat": 25.0837707519531,
          "lon": 55.145076751709
        }
      },
      "images": [
        "https://static.shared.propertyfinder.ae/media/images/listing/APY6G1E8KBFYKHWEKPD6PWYNJ4/2aee8d5d-303a-426f-b17c-c6241bcffc7f/416x272.jpg",
        "https://static.shared.propertyfinder.ae/media/images/listing/APY6G1E8KBFYKHWEKPD6PWYNJ4/d4b57dbd-e311-4710-878e-49ea04aceb7d/416x272.jpg",
        "https://static.shared.propertyfinder.ae/media/images/listing/APY6G1E8KBFYKHWEKPD6PWYNJ4/bee788f7-798c-4164-bb04-512bbc551541/416x272.jpg",
        "https://static.shared.propertyfinder.ae/media/images/listing/APY6G1E8KBFYKHWEKPD6PWYNJ4/94358193-dc88-4147-948a-c98329bc81dc/416x272.jpg"
      ],
      "agent_details": {
        "id": "365444",
        "name": "Sharie Ann Delizo",
        "is_super_agent": false,
        "image": "",
        "languages": []
      },
      "broker_id": "9676",
      "bedrooms": "1",
      "bathrooms": "2",
      "size": {
        "value": 768,
        "unit": "sqft"
      },
      "floor_plan_area": 768,
      "title": "Elegant Escapes - 1B in Marina, Partial Sea View",
      "property_url": "https://www.propertyfinder.ae/en/plp/rent/apartment-for-rent-dubai-dubai-marina-marina-tower-16266089.html"
    }
  ]
}

Try this endpoint now

Subscribe to PropertyfinderAPI on RapidAPI and start making requests in minutes.